%define upstream_name	 DBI
%define upstream_version 1.609

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	The Perl Database Interface
License:	GPL
Group:		Development/Perl
URL:		http://dbi.perl.org/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBI/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	perl(Storable) >= 1
BuildRequires:	perl(Test::Simple) >= 0.400.0
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}
Requires:	perl

%description
The Perl Database Interface (DBI) is a database access Application Programming
Interface (API) for the Perl Language. The Perl DBI API specification defines a
set of functions, variables and conventions that provide a consistent database
interface independent of the actual database being used.

%package	proxy
Group:		Development/Perl
Summary: 	DBI proxy server and client
Requires:	%{name} = %{version}

%description	proxy
DBI::ProxyServer is a module for implementing a proxy for the DBI
proxy driver, DBD::Proxy.
DBD::Proxy is a Perl module for connecting to a database via a remote
DBI driver.

%package	ProfileDumper-Apache
Group:		Development/Perl
Summary: 	DBI profiling data for mod_perl
Requires:	%{name} = %{version}

%description ProfileDumper-Apache
This module interfaces DBI::ProfileDumper to Apache/mod_perl. Using this
module you can collect profiling data from mod_perl applications. It
works by creating a DBI::ProfileDumper data file for each Apache
process. These files are created in your Apache log directory. You can
then use dbiprof to analyze the profile files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make CFLAGS="%{optflags}"

%check
rm -f t/zvg_85gofer
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

# remove Win32 stuff
rm -rf %{buildroot}%{perl_vendorarch}/Win32
rm -f %{buildroot}%{perl_vendorarch}/DBI/W32ODBC.pm
rm -f %{buildroot}%{perl_vendorarch}/Roadmap.pod
rm -f %{buildroot}%{perl_vendorarch}/DBI/Roadmap.pm
rm -f %{buildroot}%{perl_vendorarch}/TASKS.pod
rm -f %{buildroot}%{perl_vendorarch}/DBI/TASKS.pm
rm -f %{buildroot}%{_mandir}/man3*/Win32::DBIODBC.3pm*
rm -f %{buildroot}%{_mandir}/man3*/DBI::W32ODBC.3pm*
rm -f %{buildroot}%{_mandir}/man3*/Roadmap.3pm*
rm -f %{buildroot}%{_mandir}/man3*/TASKS.3pm*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README Roadmap.pod TASKS.pod
%{_bindir}/dbiprof
%{_bindir}/dbilogstrip
%{_mandir}/*/*
%exclude %{_mandir}/man1/dbiproxy.1*
%exclude %{_mandir}/man3*/DBD::Proxy.3pm*
%exclude %{_mandir}/man3*/DBI::ProxyServer.3pm*
%exclude %{_mandir}/man3*/DBI::ProfileDumper::Apache.3pm*
%{perl_vendorarch}/Bundle
%{perl_vendorarch}/DBD
%{perl_vendorarch}/dbixs_rev.pl
%exclude %{perl_vendorarch}/DBD/Proxy.pm
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/DBI
%exclude %{perl_vendorarch}/DBI/ProfileDumper
%exclude %{perl_vendorarch}/DBI/ProxyServer.pm
%{perl_vendorarch}/auto/DBI

%files proxy
%defattr(-,root,root)
%{_bindir}/dbiproxy
%{perl_vendorarch}/DBD/Proxy.pm
%{perl_vendorarch}/DBI/ProxyServer.pm
%{_mandir}/man1/dbiproxy.1.*
%{_mandir}/man3*/DBI::ProxyServer.3pm.*
%{_mandir}/man3*/DBD::Proxy.3pm.*

%files ProfileDumper-Apache
%defattr(-,root,root)
%{perl_vendorarch}/DBI/ProfileDumper
%{_mandir}/man3*/DBI::ProfileDumper::Apache.3pm.*



%changelog
* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 1.609.0-2mdv2010.0
+ Revision: 396881
- rebuild for new auto provides extraction

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.609-1mdv2010.0
+ Revision: 384240
- update to new version 1.609

* Wed May 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.608-1mdv2010.0
+ Revision: 372461
- update to new version 1.608

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.607-2mdv2009.1
+ Revision: 351713
- rebuild

* Wed Jul 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.607-1mdv2009.0
+ Revision: 242057
- update to new version 1.607

* Tue Jun 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.605-1mdv2009.0
+ Revision: 222659
- update to new version 1.605

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.604-1mdv2009.0
+ Revision: 193795
- update to new version 1.604

* Tue Feb 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.602-1mdv2008.1
+ Revision: 166548
- update to new version 1.602

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.601-3mdv2008.1
+ Revision: 151248
- rebuild for perl-5.10.0

* Fri Jan 04 2008 Olivier Thauvin <nanardon@mandriva.org> 1.601-2mdv2008.1
+ Revision: 144942
- rebuild to fix man permissions

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.601-1mdv2008.1
+ Revision: 104520
- update to new version 1.601

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2008.0
+ Revision: 75271
- new version

* Fri Jul 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.58-1mdv2008.0
+ Revision: 53846
- new version

* Fri Jul 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.56-1mdv2008.0
+ Revision: 49136
- new version


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.54-1mdv2007.1
+ Revision: 138896
- remove failing test, due to a timeout problem
- new version

* Fri Dec 15 2006 Scott Karns <scottk@mandriva.org> 1.53-1mdv2007.1
+ Revision: 97420
- CPAN release 1.53

* Thu Aug 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.52-1mdv2007.0
+ Revision: 54645
- 1.52
- Import perl-DBI

* Thu Jun 15 2006 Scott Karns <scottk@mandriva.org> 1.51-1mdv2007.0
- 1.51

* Sun May 07 2006 Scott Karns <scottk@mandriva.org> 1.50-3mdk
- Remove mdkversion conditional surrounding BuildRequires perl-devel.
  (Needed for arch specific perl packages.)

* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 1.50-2mdk
- Updated BuildRequires, source URL

* Thu Dec 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.50-1mdk
- 1.50

* Wed Nov 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.49-1mdk
- 1.49

* Sat Apr 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.48-1mdk
- 1.48
- Remove requires on release for subpackages

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.47-1mdk
- 1.47

* Fri Nov 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.46-1mdk
- 1.46

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.45-2mdk
- rebuild for new perl

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.45-1mdk
- New version 1.45.
- Add Tim's development roadmap to docs, but not in perl's install tree.
- Remove manpages of Windows-specific modules (not installed)

* Thu Jul 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.43-2mdk
- Rebuild for new perl.
- Description nits.

* Tue Jul 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.43-1mdk
- 1.43

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.42-1mdk
- 1.42
- use %%make and %%makeinstall_std macro
- drop prefix
- spec cosmetics

